struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Yasser Zamani <yasserzam...@apache.org>
Subject Re: Upgrade from struts 2.3.37 to struts 2.5.20 issue.
Date Wed, 12 Jun 2019 16:32:44 GMT
No I meant latest version of struts-jsf plugin jar. You have mentioned
"The previous problem had been solved." i.e. you already have
struts-core in classpath and already you have finished some migration;
So I told trying to also include latest version of struts-jsf plugin jar
and seeing if your app compile and run or if any exception.

Regards.

On 6/12/2019 12:12 PM, fanggdev@ wrote:
> Hi,
> 
> I have included the latest version jar (Struts2-core-2.5.20) and i got the following
error:
> [2019 Jun 12 10:01:33] ERROR Dispatcher        [] - Dispatcher initialization failed
> com.opensymphony.xwork2.config.ConfigurationException: Unable to load configuration.
> 	at com.opensymphony.xwork2.config.ConfigurationManager.getConfiguration(ConfigurationManager.java:69)
~[struts2-core-2.5.20.jar:2.5.20]
> 	at org.apache.struts2.dispatcher.Dispatcher.getContainer(Dispatcher.java:957) ~[struts2-core-2.5.20.jar:2.5.20]
> 	at org.apache.struts2.dispatcher.Dispatcher.init_PreloadConfiguration(Dispatcher.java:463)
~[struts2-core-2.5.20.jar:2.5.20]
> 	at org.apache.struts2.dispatcher.Dispatcher.init(Dispatcher.java:496) [struts2-core-2.5.20.jar:2.5.20]
> 	at org.apache.struts2.dispatcher.InitOperations.initDispatcher(InitOperations.java:73)
[struts2-core-2.5.20.jar:2.5.20]
> 	at org.apache.struts2.dispatcher.filter.StrutsPrepareAndExecuteFilter.init(StrutsPrepareAndExecuteFilter.java:61)
[struts2-core-2.5.20.jar:2.5.20]
> 	at org.apache.catalina.core.ApplicationFilterConfig.initFilter(ApplicationFilterConfig.java:285)
[catalina.jar:7.0.94]
> 	at org.apache.catalina.core.ApplicationFilterConfig.getFilter(ApplicationFilterConfig.java:266)
[catalina.jar:7.0.94]
> 	at org.apache.catalina.core.ApplicationFilterConfig.<init>(ApplicationFilterConfig.java:108)
[catalina.jar:7.0.94]
> 	at org.apache.catalina.core.StandardContext.filterStart(StandardContext.java:5037) [catalina.jar:7.0.94]
> 	at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5739)
[catalina.jar:7.0.94]
> 	at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:145) [catalina.jar:7.0.94]
> 	at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:1018)
[catalina.jar:7.0.94]
> 	at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:994) [catalina.jar:7.0.94]
> 	at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:652) [catalina.jar:7.0.94]
> 	at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1127) [catalina.jar:7.0.94]
> 	at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:2020) [catalina.jar:7.0.94]
> 	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [?:1.7.0_55]
> 	at java.util.concurrent.FutureTask.run(FutureTask.java:262) [?:1.7.0_55]
> 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [?:1.7.0_55]
> 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [?:1.7.0_55]
> 	at java.lang.Thread.run(Thread.java:745) [?:1.7.0_55]
> Caused by: com.opensymphony.xwork2.config.ConfigurationException: Parent package is not
defined: jsf-default
> 	at com.opensymphony.xwork2.config.providers.XmlConfigurationProvider.buildPackageContext(XmlConfigurationProvider.java:689)
~[struts2-core-2.5.20.jar:2.5.20]
> 	at com.opensymphony.xwork2.config.providers.XmlConfigurationProvider.addPackage(XmlConfigurationProvider.java:539)
~[struts2-core-2.5.20.jar:2.5.20]
> 	at com.opensymphony.xwork2.config.providers.XmlConfigurationProvider.buildPackageContext(XmlConfigurationProvider.java:685)
~[struts2-core-2.5.20.jar:2.5.20]
> 	at com.opensymphony.xwork2.config.providers.XmlConfigurationProvider.addPackage(XmlConfigurationProvider.java:539)
~[struts2-core-2.5.20.jar:2.5.20]
> 	at com.opensymphony.xwork2.config.providers.XmlConfigurationProvider.loadPackages(XmlConfigurationProvider.java:326)
~[struts2-core-2.5.20.jar:2.5.20]
> 	at org.apache.struts2.config.StrutsXmlConfigurationProvider.loadPackages(StrutsXmlConfigurationProvider.java:108)
~[struts2-core-2.5.20.jar:2.5.20]
> 	at com.opensymphony.xwork2.config.impl.DefaultConfiguration.reloadContainer(DefaultConfiguration.java:196)
~[struts2-core-2.5.20.jar:2.5.20]
> 	at com.opensymphony.xwork2.config.ConfigurationManager.getConfiguration(ConfigurationManager.java:66)
~[struts2-core-2.5.20.jar:2.5.20]
> 	... 21 more
> 	
> 
> On 2019/06/11 09:59:36, Yasser Zamani <yasserzamani@apache.org> wrote: 
>> Hi FANG,
>>
>> I am not familiar with that plugin but as a simplest solution, does your
>> application compile when you simply put it's latest version jar in your
>> classpath? If so, does it run correctly? If not then I will look at that
>> plugin and think about any solution :) - and please also include the
>> first exception stack trace or error message if it doesn't compile or run.
>>
>> Regards.
>>
>> On 6/10/2019 7:32 PM, FANG YAP wrote:
>>> Hi,
>>>
>>> The previous problem had been solved. I have another new issue regarding to
>>> the Struts 2 JSF Plugin. I know that the "struts2-jsf-plugin.jar" was
>>> removed and not supporting from Struts 2.5 onwards, how do we rectify
>>> Struts-JSF-Plugin in our project as the project was extending jsf-default
>>> in struts.xml. Any idea? And is there an alternative way to put the plugin
>>> back in place?
>>>
>>> On Wed, 22 May 2019 at 14:06, Lukasz Lenart <lukaszlenart@apache.org> wrote:
>>>
>>>> Hi,
>>>>
>>>> Did you follow the migration guideline?
>>>> https://cwiki.apache.org/confluence/display/WW/Struts+2.3+to+2.5+migration
>>>>
>>>> Regards
>>>> Lukasz
>>>>
>>>> wt., 21 maj 2019 o 18:45 HuiFung@GMail <huifung.yap@gmail.com> napisaƂ(a):
>>>>>
>>>>> encounter issue when .ear file deployed in Weblogic 12.1.3.0.0 server.
>>>>>
>>>>> Error: Struts Dispatcher cannot be found...
>>>>>
>>>>> Upgraded the necessary jar files such as struts core, json and updates
>>>> the
>>>>> necessary properties file. but still encounter the struts dispatcher
>>>> error.
>>>>>
>>>>> any idea what did I missed out? project is using ANT build and also is
a
>>>>> non-maven project.
>>>>>
>>>>> Regards,
>>>>>
>>>>> Hui Fung
>>>>> Sent from G-Mail
>>>>
>>>> ---------------------------------------------------------------------
>>>> To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
>>>> For additional commands, e-mail: user-help@struts.apache.org
>>>>
>>>>
>>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
>> For additional commands, e-mail: user-help@struts.apache.org
>>
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
> For additional commands, e-mail: user-help@struts.apache.org
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org
Mime
View raw message